---
title: Firefox
slug: Mozilla/Firefox
tags:
  - Firefox
  - Landing
  - Mozilla
---
<div>{{FirefoxSidebar}}</div>

<p><a class="external external-icon" href="https://www.mozilla.org/firefox/">Firefox</a> is Mozilla's popular Web browser, available for multiple platforms including Windows, macOS, and Linux on the desktop and all Android and iOS mobile devices. With broad compatibility, the latest in Web technologies, and powerful development tools, Firefox is a great choice for both Web developers and end users.</p>

<p>Firefox is an open source project; much of the code is contributed by our huge community of volunteers. <span class="seoSummary">Here you can learn about how to contribute to the Firefox project and you will also find links to information about the construction of Firefox add-ons, using the developer tools in Firefox, and other topics.</span></p>

<div class="summary">
<p>Learn how to create add-ons for <a class="external external-icon" href="https://www.mozilla.org/firefox/">Firefox</a>, how to develop and build Firefox itself, and how the internals of Firefox and its subprojects work.</p>

<h2 id="Key_resources">Key resources</h2>
</div>

<dl>
 <dt><span>Developer release notes</span></dt>
 <dd><a href="/en-US/Firefox/Releases">Developer-focused release notes</a>; learn what new capabilities for both Web sites and add-ons arrive in each version of Firefox.</dd>
 <dt><span>Project documentation</span></dt>
 <dd>Get detailed information about <a href="/en-US/docs/Mozilla">the internals of Firefox</a> and its build system, so you can find your way around in the code.</dd>
 <dt><span>Developer guide</span></dt>
 <dd>Our <a href="/en-US/docs/Developer_Guide">developer guide</a> provides details on how to get and compile the Firefox source code, how to find your way around, and how to contribute to the project.</dd>
</dl>

<h2 id="Firefox_channels">Firefox channels</h2>

<p>Firefox is available in five <strong>channels</strong>.</p>

<h3 id="Firefox_Nightly">Firefox Nightly</h3>

<p>Each night we build Firefox from the latest code in <a href="/en-US/docs/mozilla-central">mozilla-central</a>. These builds are for Firefox developers or those who want to try out the very latest cutting edge features while they're still under active development.</p>

<p><a href="https://nightly.mozilla.org/">Download Firefox Nightly</a></p>

<h3 id="Firefox_Developer_Edition">Firefox Developer Edition</h3>

<p>This is a version of Firefox tailored for developers. Firefox Developer Edition has all the latest developer tools that have reached beta. We also add some extra features for developers that are only available in this channel. It uses its own path and profile, so that you can run it alongside Release or Beta Firefox.</p>

<p><a href="/en-US/Firefox/Developer_Edition">Learn more about Firefox Developer Edition</a>.</p>

<p><a href="https://www.mozilla.org/firefox/developer/">Download Firefox Developer Edition</a></p>

<h3 id="Firefox_Beta">Firefox Beta</h3>

<p>Every four weeks, we take the features that are stable enough, and create a new version of Firefox Beta. Firefox Beta builds are for Firefox enthusiasts to test what's destined to become the next released Firefox version.</p>

<p><a href="https://www.mozilla.org/firefox/channel/#beta">Download Firefox Beta</a></p>

<h3 id="Firefox">Firefox</h3>

<p>After stabilizing for another four weeks in Beta, we're ready to ship the new features to hundreds of millions of users in a new release version of Firefox.</p>

<p><a href="https://www.mozilla.org/firefox/channel/#firefox">Download Firefox</a></p>

<h3 id="Firefox_Extended_Support_Release_ESR">Firefox Extended Support Release (ESR)</h3>

<p>Firefox ESR is the long-term support edition of Firefox for desktop for use by organizations including schools, universities, businesses and others who need extended support for mass deployments.</p>

<p><a href="/en-US/Firefox/Firefox_ESR">Learn more about Firefox Extended Support Release</a>.</p>

<p><a href="https://www.mozilla.org/firefox/organizations/all/">Download Firefox ESR</a></p>

<h2 id="Contents">Contents</h2>

<p>{{LandingPageListSubpages}}</p>

<h2 id="Firefox_profiles">Firefox profiles</h2>

<p>If you find yourself using multiple Firefox channels—or just multiple configurations—on a regular basis, you should read how to <a href="/en-US/docs/Mozilla/Firefox/Multiple_profiles">use multiple Firefox profiles</a> by turning Firefox's Profile Manager and other profile management tools to your advantage.</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="https://mail.mozilla.org/listinfo/firefox-dev">Mailing list</a></li>
 <li><a href="https://wiki.mozilla.org/Release_Management/Calendar">Release schedule</a></li>
</ul>
